public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/awesome/
Date: Sat, 30 Jan 2016 17:06:50 +0000 (UTC)	[thread overview]
Message-ID: <1454173604.96fac6a648c893ae537cf68ff6d8c98349fe1035.robbat2@gentoo> (raw)

commit:     96fac6a648c893ae537cf68ff6d8c98349fe1035
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 30 17:06:31 2016 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sat Jan 30 17:06:44 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96fac6a6

x11-wm/awesome: version bump, fixes upstream keybinding bug in 3.5.7.

Package-Manager: portage-2.2.27

 x11-wm/awesome/Manifest             |   1 +
 x11-wm/awesome/awesome-3.5.8.ebuild | 140 ++++++++++++++++++++++++++++++++++++
 2 files changed, 141 insertions(+)

diff --git a/x11-wm/awesome/Manifest b/x11-wm/awesome/Manifest
index c2fba59..e01639e 100644
--- a/x11-wm/awesome/Manifest
+++ b/x11-wm/awesome/Manifest
@@ -1,3 +1,4 @@
 DIST awesome-3.4.15.tar.bz2 762323 SHA256 4207f5cbed25d0e7ab35157165d923c2ccf04fded5b3d5fc130134ce9ed5ddfd SHA512 18bb2659e1e7c18a8917f606d635e968daa31a5be4c6d93a109603aace9b5d8b5fd0b8ac1d13ba3d6f2c5c42661204ce80c5ea322088cd358ec5e164b760c339 WHIRLPOOL 74da6197f2e4e5f3d99a11e99c26563f6a145181bab5c017b7ee330041864527551a230ce6dc6109bb5510621fe874921c7caa72c095fa2be6fbdb69e02da1dd
 DIST awesome-3.5.6.tar.xz 720112 SHA256 37f49de187825425cb3096fc870959d5fec9302b22ffd0f2874d8a18e85046d7 SHA512 8d89bf46956276a8bcf106bb255c051e8382b08617e17691134a8f3e5db3ec9f7773581c02ce62d23e72499f7b1e60fe4322c211e41219b5bffd1897a96f6cf6 WHIRLPOOL 8ec944f1113f7b7b7c6857c02a6c657aec05ddf23674c75a7cf571d4a65720ed4f5f1d28b0fdac032c12ea5e9a54f655d080c6af4e1d314b8c00bf2b9e806d01
 DIST awesome-3.5.7.tar.xz 722864 SHA256 ba7f92b0ab8b729c569b19b098b0a08339d8654e3c040d07ad02cf99641ceecf SHA512 0b57efa6ba55e28fee56bec96dbf3c47249b2d70b21e1a7760d4367a0ba42d9936c1c6b78afa4aa3050a60cf34189551ea53b208ec8ec9f6563a905463550515 WHIRLPOOL ea368fa058aa1c6a143e6f24231adeb47c5e0d26c462b076d8930a49f72c94097555a542405360c107a9e724f4fcc0993a0ff8b53102dfb072db2a9b04f52d9a
+DIST awesome-3.5.8.tar.xz 723000 SHA256 7c30c96c57bd72cfed630bbccc344054fe44b37c0a79bdd98075c507af672ec6 SHA512 be5604821e256e36067750c341ca6f8669e159527b93654c8fc41bcd161da6d87fa0e3c5fccc51821586d163535ac78363d12d99ed81b6fb14e26da59136d5ef WHIRLPOOL 2abe85d034c40dddc2189e8eac6e80c59ad1b92bebb0e1c08f67e8a07a3b8eb420ad352c2f4bf500f15ff8aaaa54a0c6dfc67aef5c5516a2aada267388d2ac4f

diff --git a/x11-wm/awesome/awesome-3.5.8.ebuild b/x11-wm/awesome/awesome-3.5.8.ebuild
new file mode 100644
index 0000000..cfc244f
--- /dev/null
+++ b/x11-wm/awesome/awesome-3.5.8.ebuild
@@ -0,0 +1,140 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+CMAKE_MIN_VERSION="2.8"
+inherit cmake-utils eutils
+
+DESCRIPTION="A dynamic floating and tiling window manager"
+HOMEPAGE="http://awesome.naquadah.org/"
+SRC_URI="http://awesome.naquadah.org/download/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="dbus doc elibc_FreeBSD gnome"
+
+COMMON_DEPEND="
+	>=dev-lang/lua-5.1:0
+	dev-libs/glib:2
+	>=dev-libs/libxdg-basedir-1
+	>=dev-lua/lgi-0.7
+	x11-libs/cairo[xcb]
+	x11-libs/gdk-pixbuf:2
+	>=x11-libs/libxcb-1.6
+	>=x11-libs/pango-1.19.3[introspection]
+	>=x11-libs/startup-notification-0.10_p20110426
+	>=x11-libs/xcb-util-0.3.8
+	x11-libs/xcb-util-cursor
+	x11-libs/libXcursor
+	>=x11-libs/libX11-1.3.99.901
+	dbus? ( >=sys-apps/dbus-1 )
+	elibc_FreeBSD? ( dev-libs/libexecinfo )"
+
+# graphicsmagick's 'convert -channel' has no Alpha support, bug #352282
+DEPEND="${COMMON_DEPEND}
+	>=app-text/asciidoc-8.4.5
+	app-text/xmlto
+	dev-util/gperf
+	virtual/pkgconfig
+	media-gfx/imagemagick[png]
+	>=x11-proto/xcb-proto-1.5
+	>=x11-proto/xproto-7.0.15
+	doc? (
+		app-doc/doxygen
+		media-gfx/graphviz
+	)"
+
+RDEPEND="${COMMON_DEPEND}"
+
+DOCS="AUTHORS BUGS PATCHES README STYLE"
+
+src_prepare() {
+	# bug #408025
+	epatch "${FILESDIR}/${PN}-3.5_rc1-convert-path.patch"
+	epatch "${FILESDIR}/${PN}-xsession.patch"
+
+	# bug #507604
+	epatch "${FILESDIR}/${PN}-3.5.5-util.lua-xdg-icons-fix.patch"
+	# bug #509658
+	epatch "${FILESDIR}/${PN}-3.5.5-cflag-cleanup.patch"
+
+	# bug #571544
+	# Merged upstream
+	#epatch "${FILESDIR}/${PN}-3.5.6-fix-multi-instances-focus.patch"
+
+	epatch_user
+}
+
+src_configure() {
+	mycmakeargs=(
+		-DPREFIX="${EPREFIX}"/usr
+		-DSYSCONFDIR="${EPREFIX}"/etc
+		$(cmake-utils_use_with dbus DBUS)
+		$(cmake-utils_use doc GENERATE_DOC)
+		)
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	local myargs="all"
+
+	if use doc ; then
+		myargs="${myargs} doc"
+	fi
+	cmake-utils_src_make ${myargs}
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	if use doc ; then
+		(
+			cd "${CMAKE_BUILD_DIR}"/doc
+			mv html doxygen
+			dohtml -r doxygen || die
+		)
+	fi
+	rm -rf "${ED}"/usr/share/doc/${PN} || die "Cleanup of dupe docs failed"
+
+	exeinto /etc/X11/Sessions
+	newexe "${FILESDIR}"/${PN}-session ${PN} || die
+
+	# GNOME-based awesome
+	if use gnome ; then
+		# GNOME session
+		insinto /usr/share/gnome-session/sessions
+		newins "${FILESDIR}/${PN}-gnome-3.session" "${PN}-gnome.session" || die
+		# Application launcher
+		domenu "${FILESDIR}/${PN}-gnome.desktop" || die
+		# X Session
+		insinto /usr/share/xsessions/
+		doins "${FILESDIR}/${PN}-gnome-xsession.desktop" || die
+	fi
+}
+
+pkg_postinst() {
+	# bug #447308
+	if use gnome; then
+		elog
+		elog "You have enabled the gnome USE flag."
+		elog "Please note that quitting awesome won't kill your gnome session."
+		elog "To really quit the session, you should bind your quit key"
+		elog "to the following command:"
+		elog "  gnome-session-quit --logout"
+		elog "For more info visit"
+		elog "  https://bugs.gentoo.org/show_bug.cgi?id=447308"
+	fi
+
+	# bug #440724
+	elog
+	elog "If you are having issues with Java application windows being"
+	elog "completely blank, try installing"
+	elog "  x11-misc/wmname"
+	elog "and setting the WM name to LG3D."
+	elog "For more info visit"
+	elog "  https://bugs.gentoo.org/show_bug.cgi?id=440724"
+	elog
+}


             reply	other threads:[~2016-01-30 17:06 UTC|newest]

Thread overview: 76+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-30 17:06 Robin H. Johnson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-25 10:37 [gentoo-commits] repo/gentoo:master commit in: x11-wm/awesome/ Marek Szuba
2022-11-10 22:40 Marek Szuba
2022-05-24  8:55 Marek Szuba
2021-09-18 12:29 Marek Szuba
2021-02-23  9:32 Marek Szuba
2021-01-27 19:05 Conrad Kostecki
2021-01-24  3:52 Sam James
2021-01-23 22:51 Sam James
2021-01-23  4:20 Sam James
2021-01-23  4:09 Sam James
2021-01-20  1:24 Sam James
2021-01-18 14:10 Sam James
2021-01-18 12:27 Marek Szuba
2021-01-18 12:27 Marek Szuba
2021-01-18 10:21 Marek Szuba
2021-01-18 10:02 Marek Szuba
2021-01-18  1:41 Sam James
2021-01-18  1:40 Sam James
2021-01-18  0:48 Sam James
2020-12-30 10:49 David Seifert
2020-12-29 22:16 Marek Szuba
2020-12-28 11:50 David Seifert
2020-12-28 11:50 David Seifert
2020-12-27  5:35 Sam James
2020-02-08 16:25 David Seifert
2020-01-24 23:04 Ben Kohler
2020-01-19 19:35 Mikle Kolyada
2020-01-14 22:48 Matt Turner
2019-11-24  0:44 Aaron Bauman
2019-07-29 14:41 Mikle Kolyada
2019-07-11 20:57 Robin H. Johnson
2019-05-12 20:56 Thomas Deutschmann
2019-02-02 20:11 Matthew Thode
2019-01-31 19:20 Matthew Thode
2018-05-26 11:12 Mikle Kolyada
2018-04-24 17:37 Mikle Kolyada
2018-04-24 17:24 Mikle Kolyada
2018-04-24 14:36 Marek Szuba
2018-04-21 22:56 Aaron Bauman
2018-04-21 17:31 Maxim Koltsov
2018-04-21 17:31 Maxim Koltsov
2018-04-21 17:31 Maxim Koltsov
2018-04-15 22:21 Sergei Trofimovich
2018-04-15 16:50 Mikle Kolyada
2018-03-25 22:04 Maxim Koltsov
2018-03-25 22:04 Maxim Koltsov
2018-03-18 11:38 Sergei Trofimovich
2018-03-15 20:20 Mikle Kolyada
2018-03-14 21:33 Maxim Koltsov
2018-03-14 21:33 Maxim Koltsov
2018-03-14 21:33 Maxim Koltsov
2018-03-14 10:37 Michał Górny
2018-01-27  8:23 Michał Górny
2017-12-25 19:22 Markus Meier
2017-09-02 15:17 Michael Palimaka
2017-07-23 14:36 Patrice Clement
2017-07-22 20:15 Patrice Clement
2017-05-03 19:32 David Seifert
2017-04-27 14:02 Marek Szuba
2017-04-26 14:03 Marek Szuba
2017-03-24 19:20 Göktürk Yüksek
2017-03-15 16:42 Marek Szuba
2017-03-15 16:42 Marek Szuba
2017-02-11 21:35 David Seifert
2017-01-02  9:54 Agostino Sarubbo
2016-12-23 10:11 Johannes Huber
2016-08-07  6:52 Pacho Ramos
2016-03-08  1:58 Robin H. Johnson
2016-02-14 17:24 Markus Meier
2016-02-03  5:28 Ian Delaney
2016-01-24 17:35 Agostino Sarubbo
2016-01-15 20:34 Robin H. Johnson
2016-01-14 11:46 Ian Delaney
2015-10-08 20:33 Ian Stakenvicius
2015-10-08 20:33 Ian Stakenvicius

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1454173604.96fac6a648c893ae537cf68ff6d8c98349fe1035.robbat2@gentoo \
    --to=robbat2@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox